# axisThreePlane

#### new axisThreePlane(selection)

Constructor

Source:
  - component/axisThreePlane.js, line 35

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/axisThreePlane.js, line 151

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/axisThreePlane.js, line 103

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) labelPosition(_v) → {*}

Label Position Getter / Setter

Source:
  - component/axisThreePlane.js, line 163

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Position ("proximal" or "distal")

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/axisThreePlane.js, line 115

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/axisThreePlane.js, line 127

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/axisThreePlane.js, line 139

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`